> For the complete documentation index, see [llms.txt](https://docs.defguard.net/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.defguard.net/2.1/for-developers/rest-api/core/device-posture/list-available-posture-check-versions.md).

# List available posture check versions

```json
{"openapi":"3.1.0","info":{"title":"defguard Core API","version":"2.1.0"},"tags":[{"name":"device posture","description":"Device posture check policies."}],"security":[{"cookie":[]},{"api_token":[]}],"components":{"securitySchemes":{"cookie":{"type":"apiKey","in":"cookie","name":"defguard_session"},"api_token":{"type":"http","scheme":"bearer"}},"schemas":{"DevicePostureVersionMetadata":{"type":"object","required":["os_versions","linux_kernel_versions","desktop_client_versions","mobile_client_versions"],"properties":{"desktop_client_versions":{"type":"array","items":{"type":"string"}},"linux_kernel_versions":{"type":"array","items":{"type":"integer","format":"int32"}},"mobile_client_versions":{"type":"array","items":{"type":"string"}},"os_versions":{"$ref":"#/components/schemas/DevicePostureOsVersionCatalog"}}},"DevicePostureOsVersionCatalog":{"type":"object","required":["windows","macos","ios","android"],"properties":{"android":{"type":"array","items":{"type":"integer","format":"int32"}},"ios":{"type":"array","items":{"type":"integer","format":"int32"}},"macos":{"type":"array","items":{"type":"integer","format":"int32"}},"windows":{"type":"array","items":{"type":"integer","format":"int32"}}}},"ApiErrorResponse":{"type":"object","description":"Body returned with error responses.","required":["msg"],"properties":{"code":{"type":["string","null"],"description":"Machine-readable error code, returned for selected errors."},"msg":{"type":"string","description":"Human-readable error message."}}}}},"paths":{"/api/v1/device-posture/versions":{"get":{"tags":["device posture"],"summary":"List available posture check versions","operationId":"get_device_posture_versions","responses":{"200":{"description":"Operating system and client versions that posture checks can require.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DevicePostureVersionMetadata"}}}},"401":{"description":"Session is missing or invalid.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiErrorResponse"}}}},"403":{"description":"Requires admin privileges.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiErrorResponse"}}}}}}}}}
```
